Rated 5 out of 5 stars

Fantastic! Compatible with Mozilla Firefox 3.5.* and Mozilla Firefox 3.6.* too.

This review is for a previous version of the add-on (0.3.1).